<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

if($status=="moder" || $status=="admin")
{
   
   
   if(isset($_GET['ip_uzer'])){$ip_uzer = $_GET['ip_uzer'];}
   if(isset($_POST['ip_uzer'])){$ip_uzer = $_POST['ip_uzer'];}
   
   if(empty($act)){$act="index";}
   if($act=="index")
      {
         echo'<div class="razd">Управление забаненными IP</div>';
         echo'<form name="forma" action="ban.php?'.SID.'" method="post">';
         
         
         echo'<INPUT TYPE="hidden" NAME="act" VALUE="addban">';
         echo'Введите IP юзера которому вы хотите запретить находится на сайте.<br>';
         if(isset($ip_uzer) && $ip_uzer !="")
         {
            echo'<input type="text" name="ip_uzer" value="'.$ip_uzer.'" size="10" maxlength="15"><br><br>';
         }else
         {
            echo'<input type="text" name="ip_uzer" value="0.0.0.0" size="10" maxlength="15"><br><br>';
         }
         echo'<input type="submit" name="" value="банить ip"><br>';
         echo'</form><br>';
         
         $d = opendir("../data/ban");
         while ($file = readdir ($d))
         {
         if (( $file != ".") && ($file != "..")&& ($file != "ban.php"))
         {
         $file = basename($file, ".dat");
         echo'ip- '.$file.' <a href="ban.php?act=addrazban&amp;ip_uzer='.$file.'&amp;'.SID.'">разбанить</a><br>';
         
         }}
         closedir ($d);
         
         
         
         echo'<hr size="2" width="100%">';
         
      }
      
      if($act=="addban"){
      	  if($ip_uzer=="" || $ip_uzer=="0.0.0.0" || $ip_uzer=="000.000.000.000"){
      	  	      echo'<div class="razd"><B>Ошибка!!!</B></div>';
      	  	      echo'Такого IP не существует!';
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="ban.php?act=index&amp;'.SID.'">далее</a><br>';
      	  	      echo'<a href="index.php?'.SID.'">В меню</a><br>';
      	  	   }else{
      	  	      $ip_uzer=htmlspecialchars($ip_uzer);
      	  	      
                  $kod="";
      	  	      
      	  	      $fileban = fopen("../data/ban/$ip_uzer.dat", "w+");
      	  	      fputs($fileban,$kod);
      	  	      fclose($fileban);
      	  	      @chmod("../data/ban/$ip_uzer.dat", 0666);
      	  	      
      	  	      echo'<div class="razd"><B>Готово!!!</B></div>';
      	  	      echo'IP забанено!!!';
      	  	      
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="ban.php?act=index&amp;'.SID.'">далее</a><br>';
      	  	      
      	  	   }
      	  
      }
      if($act=="addrazban")
      {
      	  
      	  if(file_exists("../data/ban/$ip_uzer.dat")){
      	          
      	          unlink("../data/ban/$ip_uzer.dat");
      	          
      	          echo'<div class="razd"><B>Готово!!!</B></div>';
      	  	      echo'IP разбанено!!!';
      	  	      
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="ban.php?act=index&amp;'.SID.'">далее</a><br>';
      	  	      
      	  }else{
      	        echo'<div class="razd"><B>Ошибка!!!</B></div>';
      	  	      
      	  	      echo'IP Не найдено!!!';
      	  	      
      	  	      echo'<hr size="2" width="100%">';
      	  	      echo'<a href="ban.php?act=index&amp;'.SID.'">далее</a><br>';
      	  	      
      	  }
      }
   
}
if($status=="gost" || $status=="uzer")
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вам сюда нельзя<br>';
}
if($status=="ban" )
{
   echo'Ваш акаунт временно заблокирован, причины ниже<br>';
   echo'<B>'.$prichina_bana.'</B><br><br>В данный момент вы можете только находится на главной странице, или зарегистрировать себе другой акаунт. ЗНАЙТЕ, ЕСЛИ НАРУШЕНИЯ С ВАШЕЙ СТОРОНЫ НЕ ПРЕКРАТЯТСЯ, ТО ДОСТУП К САЙТУ ВАМ БУДЕТ ЗАКРЫТ ПОЛНОСТЬЮ!!!<br>';
}


echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>